import QtQuick 2.0
import Sailfish.Silica 1.0
import "../components"

Page {
    id: statsPage

    // The effective value will be restricted by ApplicationWindow.allowedOrientations
    allowedOrientations: Orientation.All

    SilicaFlickable {
        id: statsView
        anchors.fill: parent
        contentHeight: statsColumn.implicitHeight

        VerticalScrollDecorator {}

        Column {
            id: statsColumn
            spacing: Theme.paddingLarge
            width: parent.width

            PageHeader {
                title: qsTr("Stats")
            }

            InfoRow {
                label: qsTr("Journeys:")
                value: "0"
                midlineRatio: 0.7
                midlineMin: Theme.fontSizeSmall * 10
                midlineMax: Theme.fontSizeSmall * 15
                pixelSize: Theme.fontSizeMedium
                labelTextBold: true
            }

            InfoRow {
                label: qsTr("Time spent cycling:")
                value: "0"
                midlineRatio: 0.7
                midlineMin: Theme.fontSizeSmall * 10
                midlineMax: Theme.fontSizeSmall * 15
                pixelSize: Theme.fontSizeMedium
                labelTextBold: true
            }

            InfoRow {
                label: qsTr("Average journey duration:")
                value: "0"
                midlineRatio: 0.7
                midlineMin: Theme.fontSizeSmall * 10
                midlineMax: Theme.fontSizeSmall * 15
                pixelSize: Theme.fontSizeMedium
                labelTextBold: true
            }

            InfoRow {
                label: qsTr("Speed percentile:")
                value: "0%"
                midlineRatio: 0.7
                midlineMin: Theme.fontSizeSmall * 10
                midlineMax: Theme.fontSizeSmall * 15
                pixelSize: Theme.fontSizeMedium
                labelTextBold: true
            }
        }
    }
}
